## lua-posix 1.0

=== Makefile ===
# makefile for POSIX library for Lua

# change these to reflect your Lua installation
LUA= /tmp/lhf/lua-5.0
LUAINC= $(LUA)/include
LUALIB= $(LUA)/lib
LUABIN= $(LUA)/bin

# no need to change anything below here
CFLAGS= -fPIC $(INCS) $(WARN) -O2 $G
WARN= -pedantic -Wall
INCS= -I$(LUAINC)

MYNAME= posix
MYLIB= l$(MYNAME)

OBJS= $(MYLIB).o

T= $(MYLIB).so

all:	test

test:	$T
	$(LUABIN)/lua -l$(MYNAME) test.lua

$T:	$(OBJS)
	$(CC) -o $@ -shared $(OBJS)

$(OBJS): modemuncher.c

tree:	$T
	$(LUABIN)/lua -l$(MYNAME) tree.lua .

clean:
	rm -f $(OBJS) $T core core.* a.out

x:
	@echo "$(MYNAME) library:"
	@grep '},' $(MYLIB).c | cut -f2 | tr -d '{",' | sort | column

xx:
	@echo "$(MYNAME) library:"
	@fgrep '/**' $(MYLIB).c | cut -f2 -d/ | tr -d '*' | sort | column

# distribution

FTP= $(HOME)/public/ftp/lua
D= $(MYNAME)
A= $(MYLIB).tar.gz
TOTAR= Makefile,README,$(MYLIB).c,$(MYNAME).lua,test.lua,modemuncher.c,tree.lua

tar:	clean
	tar zcvf $A -C .. $D/{$(TOTAR)}

distr:	tar
	mv $A $(FTP)

diff:	clean
	tar zxf $(FTP)/$A
	diff $D .

.stamp:	$(FTP)/$A
	touch --reference=$(FTP)/$A $@

# eof

## lua-posix 5.1.2

=== Makefile ===
# makefile for POSIX library for Lua

# change these to reflect your Lua installation
PREFIX=		/usr/local
LUAVERSION=	5.1
LUAINC= 	$(PREFIX)/include
LUALIB= 	$(PREFIX)/lib/lua/$(LUAVERSION)
LUABIN= 	$(PREFIX)/bin

# other executables
TAR=		tar
LUA=		lua
INSTALL=	install

# no need to change anything below here
PACKAGE=	luaposix
LIBVERSION=	2
VERSION=	$(LUAVERSION).$(LIBVERSION)

SRCS=		lposix.c modemuncher.c test.lua tree.lua
EXTRADIST=	Makefile README ChangeLog
DISTFILES=	$(SRCS) $(EXTRADIST)
DISTDIR=	$(PACKAGE)-$(VERSION)
TARGZ=		$(PACKAGE)-$(VERSION).tar.gz

CPPFLAGS=	-fPIC $(INCS) $(WARN)
WARN=		-pedantic -Wall
INCS=		-I$(LUAINC)

MYNAME=		posix
MYLIB= 		$(MYNAME)

OBJS=		l$(MYLIB).o

T= 		$(MYLIB).so

# targets
phony += all
all:	$T

phony += test
test:	all
	$(LUA) test.lua

$T:	$(OBJS)
	$(CC) $(LDFLAGS) -o $@ -shared $(OBJS)

$(OBJS): modemuncher.c

phony += tree
tree:	$T
	$(LUA) -l$(MYNAME) tree.lua .

phony += clean
clean:
	rm -f $(OBJS) $T core core.* a.out $(TARGZ)

phony += install
install: $T
	$(INSTALL) -D $T $(DESTDIR)/$(LUALIB)/$T
	
phony += show-funcs
show-funcs:
	@echo "$(MYNAME) library:"
	@fgrep '/**' l$(MYLIB).c | cut -f2 -d/ | tr -d '*' | sort

# distribution

phony += distdir
distdir: $(DISTFILES)
	if [ -d "$(DISTDIR)" ]; then	\
		rm -r "$(DISTDIR)";	\
	fi
	mkdir "$(DISTDIR)"
	cp -a $(DISTFILES) "$(DISTDIR)/"


phony += tar
tar:	distdir	
	$(TAR) zcf $(TARGZ) $(DISTDIR)
	rm -r $(DISTDIR)

phony += dist
dist:	tar

.PHONY: $(phony)
# eof

## lua-posix 5.1.9

=== Makefile ===
# makefile for POSIX library for Lua

# change these to reflect your Lua installation
PREFIX=		/usr/local
LUAVERSION=	5.1
LUAINC= 	$(PREFIX)/include
LUALIB= 	$(PREFIX)/lib/lua/$(LUAVERSION)
LUABIN= 	$(PREFIX)/bin

# other executables
LUA=		lua
INSTALL=	install

# no need to change anything below here
PACKAGE=	luaposix
LIBVERSION=	9
RELEASE=	$(LUAVERSION).$(LIBVERSION)

GIT_REV		:= $(shell test -d .git && git describe --always)
ifeq ($(GIT_REV),)
FULL_VERSION	:= $(RELEASE)
else
FULL_VERSION	:= $(GIT_REV)
endif

WARN=		-pedantic -Wall
INCS=		-I$(LUAINC)
CFLAGS+=	-fPIC $(INCS) $(WARN) -DVERSION=\"$(FULL_VERSION)\"

MYNAME=		posix
MYLIB= 		$(MYNAME)

OBJS=		l$(MYLIB).o

T= 		$(MYLIB).so

OS=$(shell uname)
ifeq ($(OS),Darwin)
  LDFLAGS_SHARED=-bundle -undefined dynamic_lookup
  LIBS=
else
  LDFLAGS_SHARED=-shared
  # FIXME: Make -lrt conditional on _XOPEN_REALTIME
  LIBS=-lcrypt -lrt
  CFLAGS += -D_XOPEN_SOURCE=700
endif

# targets
all:	$T

test:	all
	$(LUA) test.lua

$T:	$(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(LDFLAGS_SHARED) $(OBJS) $(LIBS)

tree:	$T
	$(LUA) -l$(MYNAME) tree.lua .

clean:
	rm -f $(OBJS) $T core core.* a.out $(TARGZ)

install: $T
	$(INSTALL) -d $(DESTDIR)/$(LUALIB)
	$(INSTALL) $T $(DESTDIR)/$(LUALIB)/$T

show-funcs:
	@echo "$(MYNAME) library:"
	@fgrep '/**' l$(MYLIB).c | cut -f2 -d/ | tr -d '*' | sort

# eof

=== debian/changelog ===
lua-posix (5.1.9-2) unstable; urgency=low

  * Patch to fix kfreebsd compilation (Closes: #635213)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Jul 2011 15:39:10 +0200

lua-posix (5.1.9-1) unstable; urgency=low

  * Multi-Arch compliant (dh >= 8.1.3, lua5.1-policy >= 32) 
  * new upstream release
  * removed CLK_TCK.dpatch, no more needed. 
  * update standards-version to 3.9.2, no changes
  * source format 3.0 (quilt)
  * depend on lua5.1-policy-dev >= 27 to get rid of .la files (Closes: #622491)
  * added watch file

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Apr 2011 19:08:01 +0200

lua-posix (5.1.4-3) unstable; urgency=low

  * Updated debian/copyright URL, thanks Reuben Thomas for the patch
  * rebuild with lua5.1-policy-dev >= 25 to obtain C89 comments 
    (Closes: #545813)
  * update standards-version to 3.8.3, added README.source mentioning
    default dpatch README

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 09 Sep 2009 21:12:33 +0200

lua-posix (5.1.4-2) unstable; urgency=low

  * fixed Homepage field
  * bumped standards-version to 3.8.2, no changes
  * build-depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 16:47:12 +0200

lua-posix (5.1.4-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 19 Jul 2008 11:12:52 +0200

lua-posix (5.1.3-1) unstable; urgency=low

  * New upstream release
  * Patch by Myhailo Danylenko integrated (Closes: #491257)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 18 Jul 2008 09:49:22 +0200

lua-posix (5.1.2-3) unstable; urgency=low

  * Added comflicts and replaces for liblua5.1-posix0 (Closes: #467422)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 26 Feb 2008 19:37:50 +0100

lua-posix (5.1.2-2) unstable; urgency=low

  * Fixed ABI/API to 1:0:0

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 12 Feb 2008 13:49:12 +0100

lua-posix (5.1.2-1) unstable; urgency=low

  * New upstream package, a fork of the previous under the same terms.
    Minimal API change, many new posix facilities bound by the library.
  * Renamed deprecated cdbs variable
  * Added Homepage control field
  * Bumped Standards-version to 3.7.3, no chenges needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 12 Feb 2008 13:35:17 +0100

lua-posix (1.0-7) unstable; urgency=low

  * made control file binNMU safe
  * moved to policy 10 and fixed clean target (Closes: #424554)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 07 May 2007 14:25:57 +0200

lua-posix (1.0-6) unstable; urgency=low

  * Added a note about the documentation shipped within the -dev package
    in the control file
  * Added call to `lua5.1-policy-apply --reverse` in the clean:: hook
  * Added a patch to define CLK_TCK (Closes: #422010) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 07 May 2007 14:02:14 +0200

lua-posix (1.0-5) unstable; urgency=low

  * version bumped to allow a t-p-u upload

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon,  8 Jan 2007 17:35:49 +0100

lua-posix (1.0-4) unstable; urgency=low

  * Moved to policy version 7
  * The FTBFS bug #405992 was caused by the new policy (version 7).
    This upload fixes the bug. (Closes: #405992)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon,  8 Jan 2007 17:32:46 +0100

lua-posix (1.0-3) unstable; urgency=low

  * added XS-X-Vcs-svn field to control.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Sep 2006 11:56:46 +0200

lua-posix (1.0-2) unstable; urgency=low

  * added 'bsdmainutils' to the Build-depends field.
  * added XS-X-Vcs-svn ield in control file

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Sep 2006 11:52:40 +0200

lua-posix (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #384776)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 26 Aug 2006 15:19:13 +0200

=== debian/control ===
Source: lua-posix
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), bsdmainutils
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-posix
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-posix
Homepage: http://luaforge.net/projects/luaposix/

Package: liblua5.1-posix1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Conflicts: liblua5.1-posix0 
Replaces: liblua5.1-posix0
Depends: ${shlibs:Depends}
Description: posix library for the Lua language version 5.1
 This package contains the Lua posix library, that includes some posix
 functions like fork, chmod, wait, sleep and kill.

Package: liblua5.1-posix-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: liblua5.1-posix1 (= ${binary:Version})
Description: posix development files for the Lua language version 5.1
 This package contains the development files of the Lua posix library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-posix
#
version=3
http://luaforge.net/frs/?group_id=344 \
	/frs/download.php/\d+/luaposix-([\d\.]*).tar.gz

## lua-posix 5.1.19

=== debian/changelog ===
lua-posix (5.1.19-1) unstable; urgency=low

  * New upstream release
  * Patches for hurd and kfreebsd not needed anylongher

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 10 Apr 2012 15:05:04 +0200

lua-posix (5.1.18-3) unstable; urgency=low

  * #define PATH_MAX on hurd

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 03 Apr 2012 13:24:56 +0200

lua-posix (5.1.18-2) unstable; urgency=low

  * Re-enable patch for kfreebsd

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 03 Apr 2012 09:52:01 +0200

lua-posix (5.1.18-1) unstable; urgency=low

  * New upstream release
  * Switch to dh-lua
  * Build for lua5.1 and lua5.2
  * Updated copyright file 
  * Update watch file 
  * debian/compat to 7 
  * Standards-version to 3.9.3, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 16:46:39 +0200

=== debian/control ===
Source: lua-posix
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 8), libncurses5-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-posix
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-posix
Homepage: https://github.com/rrthomas/luaposix/

Package: lua-posix
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Replaces: liblua5.1-posix1 (<< 5.1.18-1~)
Breaks: liblua5.1-posix1 (<< 5.1.18-1~)
Provides: liblua5.1-posix1, ${lua:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: posix library for the Lua language
 This package contains the Lua posix library, that includes some posix
 functions like fork, chmod, wait, sleep and kill.

Package: lua-posix-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Replaces: liblua5.1-posix-dev (<< 5.1.18-1~)
Breaks: liblua5.1-posix-dev (<< 5.1.18-1~)
Provides: liblua5.1-posix-dev, ${lua:Provides}
Depends: lua-posix (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: posix development files for the Lua language
 This package contains the development files of the Lua posix library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

Package: lua-curses
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: multiarch-support
Provides: ${lua:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: curses library for the Lua language
 This package contains the Lua curses library to create text mode user
 interfaces.

Package: lua-curses-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Provides: ${lua:Provides}
Depends: lua-curses (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: curses development files for the Lua language
 This package contains the development files of the Lua curses library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

Package: liblua5.1-posix1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-posix
Description: Transitional package for lua-posix
 This is a transitional package to ease upgrades to the lua-posix
 package. It can safely be removed.

Package: liblua5.1-posix-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-posix-dev
Description: Transitional package for lua-posix-dev
 This is a transitional package to ease upgrades to the lua-posix-dev
 package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
		dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	./configure --with-lua-suffix=5.1 \
		CFLAGS="`pkg-config lua5.1 ncurses --cflags`"
	dh_auto_configure

override_dh_auto_test:
	touch dummy.la
	dh_auto_test

override_dh_auto_clean:
	rm -f dummy.la
	dh_auto_clean

## lua-posix 5.1.20

=== debian/changelog ===
lua-posix (5.1.20-2) unstable; urgency=low

  * Build-Depend on libncursesw5-dev to be able to handle UTF-8 strings 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 07 Jul 2012 18:36:24 +0200

lua-posix (5.1.20-1) unstable; urgency=low

  * New upstream release, with many bigfixes
  * Add patch lua5.2-compat.patch to fix compiltion for Lua 5.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 07 Jun 2012 16:54:39 +0200

lua-posix (5.1.19-2) unstable; urgency=low

  * Fix FTBFS on hurd (Closes: #676437) thanks Cyril Roelandt 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 10 Apr 2012 15:09:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 8), libncurses5-dev
+Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 8), libncursesw5-dev, lua-bitop
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-posix
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-posix
@@ -15,7 +15,7 @@
 Replaces: liblua5.1-posix1 (<< 5.1.18-1~)
 Breaks: liblua5.1-posix1 (<< 5.1.18-1~)
 Provides: liblua5.1-posix1, ${lua:Provides}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lua-bitop
 XB-Lua-Versions: ${lua:Versions}
 Description: posix library for the Lua language
  This package contains the Lua posix library, that includes some posix

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_configure:
 	./configure --with-lua-suffix=5.1 \
-		CFLAGS="`pkg-config lua5.1 ncurses --cflags`"
+		CFLAGS="`pkg-config lua5.1 ncursesw --cflags`"
 	dh_auto_configure
 
 override_dh_auto_test:

## lua-posix 29

=== debian/changelog ===
lua-posix (29-7ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to update config.* and libtool.m4 for new ports.
  * Backport a couple of ldoc fixes from upstream.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Mar 2014 11:07:22 +0000

lua-posix (29-7) unstable; urgency=medium

  * Build-depend on lua-discount (Closes: #735976) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jan 2014 20:48:11 +0100

lua-posix (29-6) unstable; urgency=medium

  * Fix FTBFS adding -I for ncursesws (Closes: #735759) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 17 Jan 2014 23:01:54 +0100

lua-posix (29-5) unstable; urgency=low

  * Revert to our Hurd and kFreeBSD patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 26 Aug 2013 14:46:52 +0200

lua-posix (29-4) unstable; urgency=low

  * Use upstream's patch to support Hurd 
  * Disable kFreeBSD patch, should be fixed upstream 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 26 Aug 2013 10:44:24 +0200

lua-posix (29-3) unstable; urgency=low

  * Ship the doc built using lua-doc 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 15 Aug 2013 13:19:36 +0200

lua-posix (29-2) unstable; urgency=low

  * Revamp patch to fix build on hurd
  * Patch to fix build on kfreebsd 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 30 Jun 2013 12:12:00 +0200

lua-posix (29-1) unstable; urgency=low

  * New upstream release
  * lua5.2-compat.patch not needed anymore, removed 
  * Transitional packages for wheezy removed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 07 Jul 2012 19:07:41 +0200

=== debian/control ===
Source: lua-posix
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, dh-lua (>= 8), libncursesw5-dev, lua-bitop, lua-ldoc, lua-discount
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-posix.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-posix.git
Homepage: https://github.com/luaposix/luaposix

Package: lua-posix
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Provides: ${lua:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-bitop
XB-Lua-Versions: ${lua:Versions}
Description: posix library for the Lua language
 This package contains the Lua posix library, that includes some posix
 functions like fork, chmod, wait, sleep and kill.

Package: lua-posix-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Provides: ${lua:Provides}
Depends: lua-posix (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: posix development files for the Lua language
 This package contains the development files of the Lua posix library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

Package: lua-curses
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: multiarch-support
Provides: ${lua:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: curses library for the Lua language
 This package contains the Lua curses library to create text mode user
 interfaces.

Package: lua-curses-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Provides: ${lua:Provides}
Depends: lua-curses (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: curses development files for the Lua language
 This package contains the development files of the Lua curses library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with autoreconf,lua

override_dh_auto_configure:
	./configure --prefix=/usr/ \
		LUA=/usr/bin/lua5.1 LUA_INCLUDE=-I/usr/include/lua5.1/ \
		CFLAGS="`pkg-config lua5.1 ncursesw --cflags`"
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	ldoc .

override_dh_auto_test:
	touch dummy.la
	dh_auto_test

override_dh_auto_clean:
	rm -f dummy.la
	dh_auto_clean

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-posix
#
version=3
https://github.com/rrthomas/luaposix/downloads .*/luaposix-(.+).tar.gz

## lua-posix 31

=== debian/changelog ===
lua-posix (31-3) unstable; urgency=medium

  * Team upload
  * Add luasandbox support
  * Remove README.source, dpatch is gone since 5.1.9-1
  * Fix d/watch, and point to github.com/luaposix/luaposix/
  * Use secure Vcs-* fields
  * Update d/copyright
  * Replace multiarch-support by ${misc:Pre-Depends}.
    This requires debhelper >= 9.
  * Bump debhelper compat to 9

 -- Mathieu Parent <sathieu@debian.org>  Sat, 10 Dec 2016 14:21:07 +0100

lua-posix (31-2) unstable; urgency=medium

  * Sort examples alphabetically when generating the doc (Closes: #743920)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 08 Apr 2014 20:57:32 +0200

lua-posix (31-1) unstable; urgency=medium

  * New upstream release
  * Fix compilation with lua-doc >= 1.4 (Closes: #742869), thanks Colin Watson
  * Use autoreconf (Closes: #742870), thanks Colin Watson
  * Drop patch 0002-Fix-compilation-on-kfreebsd.patch (sort of applied
    upstream)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 07 Apr 2014 09:45:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: lua-posix
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, dh-lua (>= 8), libncursesw5-dev, lua-bitop, lua-ldoc, lua-discount
+Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-lua (>= 24~), libncursesw5-dev, lua-bitop, lua-ldoc, lua-discount
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-posix.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-posix.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-posix.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua-posix.git
 Homepage: https://github.com/luaposix/luaposix
 
 Package: lua-posix
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Provides: ${lua:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua-bitop
 XB-Lua-Versions: ${lua:Versions}
@@ -23,7 +22,7 @@
 Package: lua-posix-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Provides: ${lua:Provides}
 Depends: lua-posix (= ${binary:Version}), ${misc:Depends}
@@ -38,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Provides: ${lua:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 XB-Lua-Versions: ${lua:Versions}
@@ -49,7 +48,7 @@
 Package: lua-curses-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Provides: ${lua:Provides}
 Depends: lua-curses (= ${binary:Version}), ${misc:Depends}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lua-posix-$1.tar.gz%" \
https://github.com/luaposix/luaposix/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lua-posix 33.4.0

=== debian/changelog ===
lua-posix (33.4.0-2) unstable; urgency=medium

  * Team upload to unstable (with new lua-curses).
  * Drop luasandbox support as it's going away (see #891191).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Feb 2018 11:49:39 +0100

lua-posix (33.4.0-1) experimental; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Remove packages lua-curses*: moved in its own source package
  * Drop patches 0002-doc-fix-LDoc-manual-page-custom_see_handler-pattern.patch
    and 0003-doc-add-missing-LDoc-function-tag.patch merged upstream
  * Update build-depends and dependencies: lua-bit32 is now required (instead
    of lua-bitop)
  * Add lua 5.3 support
  * Don't run the tests: need lua-specl package, not in Debian yet

  [ Raphaël Hertzog ]
  * Drop "Multi-Arch: same" on lua-posix-dev. Closes: #806751

 -- Sophie Brun <sophie@freexian.com>  Thu, 19 Jan 2017 11:13:41 +0100

=== debian/control ===
Source: lua-posix
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-lua, lua-ldoc, lua-bit32
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-posix.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua-posix.git
Homepage: https://github.com/luaposix/luaposix

Package: lua-posix
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: ${lua:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-bit32
XB-Lua-Versions: ${lua:Versions}
Description: posix library for the Lua language
 This package contains the Lua posix library, that includes some posix
 functions like fork, chmod, wait, sleep and kill.

Package: lua-posix-dev
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Provides: ${lua:Provides}
Depends: lua-posix (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: posix development files for the Lua language
 This package contains the development files of the Lua posix library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/rules ===
#!/usr/bin/make -f

%:
		dh $@ --buildsystem=lua --with autoreconf,lua

override_dh_auto_configure:
	./configure --prefix=/usr/ \
		LUA=/usr/bin/lua5.1 LUA_INCLUDE=-I/usr/include/lua5.1/
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	ldoc -c build-aux/config.ld ext/posix/

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)release-v(\d[\d.]*)\.tar\.gz%lua-posix-$1.tar.gz%" \
https://github.com/luaposix/luaposix/tags \
             (?:.*?/)release-v(\d[\d.]*)\.tar\.gz debian uupdate

## lua-posix 36.2.1

=== debian/changelog ===
lua-posix (36.2.1-2) unstable; urgency=medium

  * Fix executing autopkg tests.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 Nov 2023 13:35:37 +0300

lua-posix (36.2.1-1) unstable; urgency=medium

  * New upstream release (closes: #1054856).
  * Refresh patches.
  * Change maintainer to the Debian Lua Team (closes: #995518).
  * Add myself to the uploaders list.
  * Remove Enrico Tassi from the uploaders list.
  * Build the package for Lua 5.4.
  * Fix the clean target to remove all generated stuff (closes: #1048980)
  * Adapted debian/watch for changes on Github.
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 21 Nov 2023 12:01:12 +0300

lua-posix (33.4.0-3) unstable; urgency=medium

  * Team upload.

  [ Roland Hieber ]
  * Fix name of main module: posix_c.so -> posix.so (Closes: #891541)

  [ Raphaël Hertzog ]
  * Add a simple test file to test loading the module
  * Update Vcs-* fields for migration to salsa.debian.org
  * Switch debhelper compat level to 11
  * Bump Standards-Version to 4.1.4
  * Add simple autopkgtest which just imports the module.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 10 Apr 2018 15:26:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lua-posix
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-lua, lua-ldoc, lua-bit32
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-posix.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua-posix.git
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Sergei Golovan <sgolovan@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-lua, lua-ldoc, lua-bit32
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/lua-team/lua-posix.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-posix
 Homepage: https://github.com/luaposix/luaposix
 
 Package: lua-posix
@@ -26,6 +27,7 @@
 Provides: ${lua:Provides}
 Depends: lua-posix (= ${binary:Version}), ${misc:Depends}
 XB-Lua-Versions: ${lua:Versions}
+Multi-Arch: same
 Description: posix development files for the Lua language
  This package contains the development files of the Lua posix library,
  useful to create a statically linked binary (like a C application or a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	rm -rf 5.*-posix*
	rm -f debian/lua-posix*.install
	rm -f debian/lua_versions
	rm -rf debian/.dh_lua-libtool
	rm -rf debian/trash
	rm -f debian/*.dh-lua.conf
	rm -f lib/posix/version.lua
	dh_auto_clean

override_dh_auto_configure:
	cp -f debian/lua-posix.install.in debian/lua-posix.install
	cp -f debian/lua-posix-dev.install.in debian/lua-posix-dev.install
	lua debian/gen-configs $(shell dpkg-parsechangelog | grep ^Ver | cut -d ' ' -f 2 | cut -d '-' -f 1)
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	#ldoc -c build-aux/config.ld ext/posix/

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build

## lua-posix 36.3

=== debian/changelog ===
lua-posix (36.3-2) unstable; urgency=medium

  * Team upload.
  * Drop lua5.2 support.

 -- Bastian Germann <bage@debian.org>  Tue, 14 Oct 2025 13:01:57 +0200

lua-posix (36.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS for GNU/Hurd.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Feb 2025 20:59:16 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-lua, lua-ldoc, lua-bit32
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/lua-team/lua-posix.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-posix
 Homepage: https://github.com/luaposix/luaposix

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+VERSION = $(shell dpkg-parsechangelog | grep ^Ver | cut -d ' ' -f 2 | cut -d '-' -f 1)
 
 %:
 	dh $@ --buildsystem=lua --with lua
@@ -16,7 +19,7 @@
 override_dh_auto_configure:
 	cp -f debian/lua-posix.install.in debian/lua-posix.install
 	cp -f debian/lua-posix-dev.install.in debian/lua-posix-dev.install
-	lua debian/gen-configs $(shell dpkg-parsechangelog | grep ^Ver | cut -d ' ' -f 2 | cut -d '-' -f 1)
+	lua debian/gen-configs $(VERSION) $(DEB_HOST_ARCH)
 	dh_auto_configure
 
 override_dh_auto_build:

=== debian/tests/control ===
Tests: import-tests
Depends: @, dh-lua

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)release-v(\d[\d.]*)\.tar\.gz%lua-posix-$1.tar.gz%" \
https://github.com/luaposix/luaposix/tags \
             (?:.*?/)v(\d[\d.]*)\.tar\.gz debian uupdate
